Name: debiandoc-sgml
Version: 1.2.25
Release: 5.2
Group: Applications/Text
License: GPLv2
Summary: DebianDoc SGML DTD and formatting tools
Requires: perl-Text-Format
%if 0%{?fedora} || 0%{?rhel}
BuildRequires: debhelper
Requires(pre): sgml-common
%else %if 0%{?suse_version}
BuildRequires: deb-devel
Requires(pre): sgml-skel
%endif
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Source0: debiandoc-sgml_1.2.25.tar.gz
Patch0: debiandoc-sgml-1.2.25-fedorar-noromanperl.patch
Patch1: debiandoc-sgml-1.2.25-fedora-properinstall.patch

%description
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DebianDoc SGML, DocBook XML, plain text (with
 overstrikes a la troff as well as without) files.
 
 The LaTeX based output needs the texlive, texlive-latex-extra and 
 texlive-lang-all packages.  In addition to this, Chinese and Japanese need 
 latex-cjk-all and corresponding font packages.
 
 The Texinfo based output needs the texinfo package. 

%prep
%setup -q 
%patch0 -p1 -b .original
%patch1 -p1 -b .original

%build


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} install perl_dir=%{perl_vendorlib}


%post
for centralized in /etc/sgml/*-docbook-*.cat; do
	%{_bindir}/install-catalog --add $centralized %{_datadir}/sgml/debiandoc/dtd/sgml/1.0/catalog > /dev/null 2>/dev/null
	%{_bindir}/install-catalog --add $centralized %{_datadir}/sgml/debiandoc/entities/catalog > /dev/null 2>/dev/null
done

%preun
if [ "$1" = "0" ]; then
	for centralized in /etc/sgml/*-docbook-*.cat; do
		%{_bindir}/install-catalog --remove $centralized %{_datadir}/sgml/debiandoc/dtd/sgml/1.0/catalog > /dev/null 2>/dev/null
		%{_bindir}/install-catalog --remove $centralized %{_datadir}/sgml/debiandoc/entities/catalog > /dev/null 2>/dev/null
	done
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%dir %{_datadir}/sgml/debiandoc
%dir %{_datadir}/debiandoc-sgml
%dir %{perl_vendorlib}/DebianDoc_SGML
%dir %{perl_vendorlib}
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/sgml/debiandoc/*
%{_datadir}/debiandoc-sgml/*
%{perl_vendorlib}/DebianDoc_SGML/*

%changelog
* Sun Feb 26 2012 helio@kde.org
- Proper perl_lib
* Sun Feb 26 2012 helio@kde.org
- Fix install and replace of binaries
* Sun Feb 26 2012 helio@kde.org
- Add debiandoc to proper compile apt-debian in rpm distros ( at least Fedora and Suse )
